grep-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

grep branch, master, updated. v2.6.2-11-g878b4ec


From: Paolo Bonzini
Subject: grep branch, master, updated. v2.6.2-11-g878b4ec
Date: Wed, 31 Mar 2010 10:11:45 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "grep".

The branch, master has been updated
       via  878b4eca0f802252abed96d1308535c8663f3936 (commit)
       via  0e21999f64ebb7091abae8e0eda4a6dedbfe259f (commit)
       via  5fa8c7c9775577fda035b741cb1db5f9fe7c5d74 (commit)
       via  a1ea950650df3d71e3388d63a2c2912d9bdd5b38 (commit)
       via  60569edcdc02afd7282e9bfa5b0f2a3f27e92227 (commit)
      from  4571dcbdc0e71b3d1cbd75fa94bdf6c64a92036e (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=878b4eca0f802252abed96d1308535c8663f3936


commit 878b4eca0f802252abed96d1308535c8663f3936
Author: Paolo Bonzini <address@hidden>
Date:   Wed Mar 31 08:42:43 2010 +0200

    tests: improve empty test
    
    * tests/empty: Add more tests, note expected failure.

diff --git a/tests/empty b/tests/empty
index cd0d3fa..9e8f335 100755
--- a/tests/empty
+++ b/tests/empty
@@ -16,7 +16,7 @@ require_timeout_
 failures=0
 
 for locale in C en_US.UTF-8; do
-    for options in '-E' '-E -w' '-F -x' '-G -w -x'; do
+    for options in '-E' '-F'; do
 
        # should return 0 found a match
        echo "" | LC_ALL=$locale timeout 10s grep $options -e ''
@@ -38,6 +38,46 @@ for locale in C en_US.UTF-8; do
                echo "Status: Wrong status code, test \#3 failed ($options 
$locale)"
                failures=1
        fi
+
+       # should return 0 found a match
+       echo "" | LC_ALL=$locale timeout 10s grep $options -e ''
+       if test $? -ne 0 ; then
+               echo "Status: Wrong status code, test \#4 failed ($options 
$locale)"
+               failures=1
+       fi
+
+       # should return 0 found a match
+       echo "abcd" | LC_ALL=$locale timeout 10s grep $options -e ''
+       if test $? -ne 0 ; then
+               echo "Status: Wrong status code, test \#5 failed ($options 
$locale)"
+               failures=1
+       fi
+    done
+
+    # -F -w omitted because it fails test #6, will be revisited after 2.6
+    # stabilizes.
+    for options in '-E -w' '-E -x' '-E -w -x' '-F -x' '-F -w -x'; do
+
+       # should return 0 found a match
+       echo "" | LC_ALL=$locale timeout 10s grep $options -e ''
+       if test $? -ne 0 ; then
+               echo "Status: Wrong status code, test \#6 failed ($options 
$locale)"
+               failures=1
+       fi
+
+       # should return 1 found no match
+       echo "abcd" | LC_ALL=$locale timeout 10s grep $options -f /dev/null
+       if test $? -ne 1 ; then
+               echo "Status: Wrong status code, test \#7 failed ($options 
$locale)"
+               failures=1
+       fi
+
+       # should return 1 found no match
+       echo "abcd" | LC_ALL=$locale timeout 10s grep $options -f /dev/null -e 
""
+       if test $? -ne 1 ; then
+               echo "Status: Wrong status code, test \#8 failed ($options 
$locale)"
+               failures=1
+       fi
     done
 done
 

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=0e21999f64ebb7091abae8e0eda4a6dedbfe259f


commit 878b4eca0f802252abed96d1308535c8663f3936
Author: Paolo Bonzini <address@hidden>
Date:   Wed Mar 31 08:42:43 2010 +0200

    tests: improve empty test
    
    * tests/empty: Add more tests, note expected failure.

diff --git a/tests/empty b/tests/empty
index cd0d3fa..9e8f335 100755
--- a/tests/empty
+++ b/tests/empty
@@ -16,7 +16,7 @@ require_timeout_
 failures=0
 
 for locale in C en_US.UTF-8; do
-    for options in '-E' '-E -w' '-F -x' '-G -w -x'; do
+    for options in '-E' '-F'; do
 
        # should return 0 found a match
        echo "" | LC_ALL=$locale timeout 10s grep $options -e ''
@@ -38,6 +38,46 @@ for locale in C en_US.UTF-8; do
                echo "Status: Wrong status code, test \#3 failed ($options 
$locale)"
                failures=1
        fi
+
+       # should return 0 found a match
+       echo "" | LC_ALL=$locale timeout 10s grep $options -e ''
+       if test $? -ne 0 ; then
+               echo "Status: Wrong status code, test \#4 failed ($options 
$locale)"
+               failures=1
+       fi
+
+       # should return 0 found a match
+       echo "abcd" | LC_ALL=$locale timeout 10s grep $options -e ''
+       if test $? -ne 0 ; then
+               echo "Status: Wrong status code, test \#5 failed ($options 
$locale)"
+               failures=1
+       fi
+    done
+
+    # -F -w omitted because it fails test #6, will be revisited after 2.6
+    # stabilizes.
+    for options in '-E -w' '-E -x' '-E -w -x' '-F -x' '-F -w -x'; do
+
+       # should return 0 found a match
+       echo "" | LC_ALL=$locale timeout 10s grep $options -e ''
+       if test $? -ne 0 ; then
+               echo "Status: Wrong status code, test \#6 failed ($options 
$locale)"
+               failures=1
+       fi
+
+       # should return 1 found no match
+       echo "abcd" | LC_ALL=$locale timeout 10s grep $options -f /dev/null
+       if test $? -ne 1 ; then
+               echo "Status: Wrong status code, test \#7 failed ($options 
$locale)"
+               failures=1
+       fi
+
+       # should return 1 found no match
+       echo "abcd" | LC_ALL=$locale timeout 10s grep $options -f /dev/null -e 
""
+       if test $? -ne 1 ; then
+               echo "Status: Wrong status code, test \#8 failed ($options 
$locale)"
+               failures=1
+       fi
     done
 done
 

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=5fa8c7c9775577fda035b741cb1db5f9fe7c5d74


commit 878b4eca0f802252abed96d1308535c8663f3936
Author: Paolo Bonzini <address@hidden>
Date:   Wed Mar 31 08:42:43 2010 +0200

    tests: improve empty test
    
    * tests/empty: Add more tests, note expected failure.

diff --git a/tests/empty b/tests/empty
index cd0d3fa..9e8f335 100755
--- a/tests/empty
+++ b/tests/empty
@@ -16,7 +16,7 @@ require_timeout_
 failures=0
 
 for locale in C en_US.UTF-8; do
-    for options in '-E' '-E -w' '-F -x' '-G -w -x'; do
+    for options in '-E' '-F'; do
 
        # should return 0 found a match
        echo "" | LC_ALL=$locale timeout 10s grep $options -e ''
@@ -38,6 +38,46 @@ for locale in C en_US.UTF-8; do
                echo "Status: Wrong status code, test \#3 failed ($options 
$locale)"
                failures=1
        fi
+
+       # should return 0 found a match
+       echo "" | LC_ALL=$locale timeout 10s grep $options -e ''
+       if test $? -ne 0 ; then
+               echo "Status: Wrong status code, test \#4 failed ($options 
$locale)"
+               failures=1
+       fi
+
+       # should return 0 found a match
+       echo "abcd" | LC_ALL=$locale timeout 10s grep $options -e ''
+       if test $? -ne 0 ; then
+               echo "Status: Wrong status code, test \#5 failed ($options 
$locale)"
+               failures=1
+       fi
+    done
+
+    # -F -w omitted because it fails test #6, will be revisited after 2.6
+    # stabilizes.
+    for options in '-E -w' '-E -x' '-E -w -x' '-F -x' '-F -w -x'; do
+
+       # should return 0 found a match
+       echo "" | LC_ALL=$locale timeout 10s grep $options -e ''
+       if test $? -ne 0 ; then
+               echo "Status: Wrong status code, test \#6 failed ($options 
$locale)"
+               failures=1
+       fi
+
+       # should return 1 found no match
+       echo "abcd" | LC_ALL=$locale timeout 10s grep $options -f /dev/null
+       if test $? -ne 1 ; then
+               echo "Status: Wrong status code, test \#7 failed ($options 
$locale)"
+               failures=1
+       fi
+
+       # should return 1 found no match
+       echo "abcd" | LC_ALL=$locale timeout 10s grep $options -f /dev/null -e 
""
+       if test $? -ne 1 ; then
+               echo "Status: Wrong status code, test \#8 failed ($options 
$locale)"
+               failures=1
+       fi
     done
 done
 

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=a1ea950650df3d71e3388d63a2c2912d9bdd5b38


commit 878b4eca0f802252abed96d1308535c8663f3936
Author: Paolo Bonzini <address@hidden>
Date:   Wed Mar 31 08:42:43 2010 +0200

    tests: improve empty test
    
    * tests/empty: Add more tests, note expected failure.

diff --git a/tests/empty b/tests/empty
index cd0d3fa..9e8f335 100755
--- a/tests/empty
+++ b/tests/empty
@@ -16,7 +16,7 @@ require_timeout_
 failures=0
 
 for locale in C en_US.UTF-8; do
-    for options in '-E' '-E -w' '-F -x' '-G -w -x'; do
+    for options in '-E' '-F'; do
 
        # should return 0 found a match
        echo "" | LC_ALL=$locale timeout 10s grep $options -e ''
@@ -38,6 +38,46 @@ for locale in C en_US.UTF-8; do
                echo "Status: Wrong status code, test \#3 failed ($options 
$locale)"
                failures=1
        fi
+
+       # should return 0 found a match
+       echo "" | LC_ALL=$locale timeout 10s grep $options -e ''
+       if test $? -ne 0 ; then
+               echo "Status: Wrong status code, test \#4 failed ($options 
$locale)"
+               failures=1
+       fi
+
+       # should return 0 found a match
+       echo "abcd" | LC_ALL=$locale timeout 10s grep $options -e ''
+       if test $? -ne 0 ; then
+               echo "Status: Wrong status code, test \#5 failed ($options 
$locale)"
+               failures=1
+       fi
+    done
+
+    # -F -w omitted because it fails test #6, will be revisited after 2.6
+    # stabilizes.
+    for options in '-E -w' '-E -x' '-E -w -x' '-F -x' '-F -w -x'; do
+
+       # should return 0 found a match
+       echo "" | LC_ALL=$locale timeout 10s grep $options -e ''
+       if test $? -ne 0 ; then
+               echo "Status: Wrong status code, test \#6 failed ($options 
$locale)"
+               failures=1
+       fi
+
+       # should return 1 found no match
+       echo "abcd" | LC_ALL=$locale timeout 10s grep $options -f /dev/null
+       if test $? -ne 1 ; then
+               echo "Status: Wrong status code, test \#7 failed ($options 
$locale)"
+               failures=1
+       fi
+
+       # should return 1 found no match
+       echo "abcd" | LC_ALL=$locale timeout 10s grep $options -f /dev/null -e 
""
+       if test $? -ne 1 ; then
+               echo "Status: Wrong status code, test \#8 failed ($options 
$locale)"
+               failures=1
+       fi
     done
 done
 

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=60569edcdc02afd7282e9bfa5b0f2a3f27e92227


commit 878b4eca0f802252abed96d1308535c8663f3936
Author: Paolo Bonzini <address@hidden>
Date:   Wed Mar 31 08:42:43 2010 +0200

    tests: improve empty test
    
    * tests/empty: Add more tests, note expected failure.

diff --git a/tests/empty b/tests/empty
index cd0d3fa..9e8f335 100755
--- a/tests/empty
+++ b/tests/empty
@@ -16,7 +16,7 @@ require_timeout_
 failures=0
 
 for locale in C en_US.UTF-8; do
-    for options in '-E' '-E -w' '-F -x' '-G -w -x'; do
+    for options in '-E' '-F'; do
 
        # should return 0 found a match
        echo "" | LC_ALL=$locale timeout 10s grep $options -e ''
@@ -38,6 +38,46 @@ for locale in C en_US.UTF-8; do
                echo "Status: Wrong status code, test \#3 failed ($options 
$locale)"
                failures=1
        fi
+
+       # should return 0 found a match
+       echo "" | LC_ALL=$locale timeout 10s grep $options -e ''
+       if test $? -ne 0 ; then
+               echo "Status: Wrong status code, test \#4 failed ($options 
$locale)"
+               failures=1
+       fi
+
+       # should return 0 found a match
+       echo "abcd" | LC_ALL=$locale timeout 10s grep $options -e ''
+       if test $? -ne 0 ; then
+               echo "Status: Wrong status code, test \#5 failed ($options 
$locale)"
+               failures=1
+       fi
+    done
+
+    # -F -w omitted because it fails test #6, will be revisited after 2.6
+    # stabilizes.
+    for options in '-E -w' '-E -x' '-E -w -x' '-F -x' '-F -w -x'; do
+
+       # should return 0 found a match
+       echo "" | LC_ALL=$locale timeout 10s grep $options -e ''
+       if test $? -ne 0 ; then
+               echo "Status: Wrong status code, test \#6 failed ($options 
$locale)"
+               failures=1
+       fi
+
+       # should return 1 found no match
+       echo "abcd" | LC_ALL=$locale timeout 10s grep $options -f /dev/null
+       if test $? -ne 1 ; then
+               echo "Status: Wrong status code, test \#7 failed ($options 
$locale)"
+               failures=1
+       fi
+
+       # should return 1 found no match
+       echo "abcd" | LC_ALL=$locale timeout 10s grep $options -f /dev/null -e 
""
+       if test $? -ne 1 ; then
+               echo "Status: Wrong status code, test \#8 failed ($options 
$locale)"
+               failures=1
+       fi
     done
 done
 

-----------------------------------------------------------------------

Summary of changes:
 NEWS              |    3 ++
 src/searchutils.c |    7 ++++-
 tests/Makefile.am |    2 +-
 tests/empty       |   84 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 tests/empty.sh    |   39 ------------------------
 5 files changed, 94 insertions(+), 41 deletions(-)
 create mode 100755 tests/empty
 delete mode 100755 tests/empty.sh


hooks/post-receive
-- 
grep




reply via email to

[Prev in Thread] Current Thread [Next in Thread]